> For the complete documentation index, see [llms.txt](https://docs.antsomi.com/api-guide/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.antsomi.com/api-guide/endpoint/app-inbox-api/get-message-detail.md).

# Get Message Detail

<mark style="color:green;">`POST`</mark> `https://api.ants.tech/access/api/app-inbox/message/:id`

#### Path Parameters

| Name                                 | Type   | Description            |
| ------------------------------------ | ------ | ---------------------- |
| id<mark style="color:red;">\*</mark> | Number | For example, `4837250` |

#### Request Body

| Name                                         | Type   | Description             |
| -------------------------------------------- | ------ | ----------------------- |
| lookupId<mark style="color:red;">\*</mark>   | String | For example, `"200"`    |
| lookupType<mark style="color:red;">\*</mark> | String | For example, "customer" |
| portalId<mark style="color:red;">\*</mark>   | Number | For example, `33167`    |

{% tabs %}
{% tab title="200: OK When the authenticated process is success" %}

```json
{
    "code": 200,
    "message": "Success",
    "data": {
        "entries": [
            {
                "last_updated": "2023-09-05 10:37:35",
                "item_id": "48371250",
                "item_type": "app_inbox",
                "date_created": "2023-08-29 13:39:42",
                "content": "13 🎉 Exclusive Coupon Alert! 🎉 Enjoy [discount]% off your next purchase with code: {coupon_code}. Don't miss out - dive into savings on [products/services] now!",
                "variant_id": 1232438,
                "lookup_type": "200",
                "template_id": "1235",
                "journey_id": 1232436,
                "campaign_id": 1232437,
                "status": 1
            }
        ]
    }
}
```

{% endtab %}
{% endtabs %}
